Subject: Problems with RSH & SSH
From: Roland Schwingel <[email-masked]>
To: cygwin <[email-masked]>
Date: Thu, 11 Jul 2002 14:10:29 +0200

Hi....

I played for a couple of hours to activate rsh/ssh on my cygwin. But I got
a couple of problems.

My system is running W2k SP2 with actual cygwin (see small list below).
My Homeaccount resides on a network drive served by a linux samba machine
and I am doing domain logons with an NT Server.

Versionnumbers of relevant packages installed:
cygrunsrv           0.95-1
cygwin              1.3.12-2
inetutils           1.3.2-18
openssh             3.4p1-4

I have setup inetd as I usally do it on a Unix box. inetd.conf and
hosts.equiv are set up correctly Telnet and FTP appear to work
correctly. Login is no problem with any user  I like. I can access
eg my Homeacount without problem. Really lovely.
But when doing a
rsh localhost ls
(or whatever I like to do no matter from the local machine or a
remotemachine) I get this:
oppenheim: No remote directory.
(oppenheim is the name of my host).

It seems to me it cannot find the Homedirectory.
Eventviewer shows:  roland@oppenheim as roland: no home directory.
cmd='ls'.
/var/log/inetd.log shows:
someone wants shell
accept, ctrl 3
+ Closing from 18
1092 execl /usr/sbin/in.rshd
1092 reaped, status 0x100

Where is the error?

How did I start inetd someone might ask:
mkpasswd -l -d >/etc/passwd
cygrunsrv -I inetd -d "inetd" -f "This service provides
ftp,telnet,rsh,rcp" -p /usr/sbin/inetd -a -d -e "CYGWIN=binmode ntsec tty"
cygrunsrv -S inetd

So I switched to ssh...
I installed everything like on a Unix box (keys, permissions etc) and
started it similar to inetd (see above)
It runs but only one time.When doing a
ssh localhost ls
(or any other command)
I get the correct result but afterwards the service (sshd) dies.

Any ideas? Thanks in advance..

Roland

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/